using System;
using System.Collections.Generic;
using System.IO;
using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;
using TDCG;
//css_reference Microsoft.DirectX.dll;
//css_reference Microsoft.DirectX.Direct3D.dll;
//css_reference Microsoft.DirectX.Direct3DX.dll;

namespace TDCG.Proportion
{
    public class CsA_ParseeT_DefaultD : IProportion
    {
        Dictionary<string, TPONode> nodes;
        public Dictionary<string, TPONode> Nodes { set { nodes = value; }}

        public void Execute()
        {
            TPONode node;

            node = nodes["W_Hips"];
            node.Scale1(0.80F, 0.80F, 0.80F);
            node.RotateX(Geometry.DegreeToRadian(0.50F));
            node.Move(0.00F, 0.00F, 1.00F);

            node = nodes["W_LeftHips_Dummy"];
            node.Move(0.00F, 0.00F, 0.08F);

            node = nodes["W_LeftUpLeg"];
            node.Scale1(0.96F, 0.84F, 0.96F);

            node = nodes["W_LeftUpLegRoll"];
            node.Scale1(1.04F, 0.84F, 1.04F);
            node.Move(0.00F, 0.00F, -0.04F);

            node = nodes["W_LeftLeg"];
            node.Scale1(1.00F, 1.48F, 1.00F);
            node.RotateX(Geometry.DegreeToRadian(5.00F));

            node = nodes["W_LeftLegRoll"];
            node.Scale1(1.00F, 1.48F, 1.00F);

            node = nodes["W_LeftFoot"];
            node.Scale(0.76F, 0.92F, 0.92F);
            node.RotateY(Geometry.DegreeToRadian(5.00F));

            node = nodes["W_RightHips_Dummy"];
            node.Move(0.00F, 0.00F, 0.08F);

            node = nodes["W_RightUpLeg"];
            node.Scale1(0.96F, 0.84F, 0.96F);

            node = nodes["W_RightUpLegRoll"];
            node.Scale1(1.04F, 0.84F, 1.04F);
            node.Move(0.00F, 0.00F, -0.04F);

            node = nodes["W_RightLeg"];
            node.Scale1(1.00F, 1.48F, 1.00F);
            node.RotateX(Geometry.DegreeToRadian(5.00F));

            node = nodes["W_RightLegRoll"];
            node.Scale1(1.00F, 1.48F, 1.00F);

            node = nodes["W_RightFoot"];
            node.Scale(0.76F, 0.92F, 0.92F);
            node.RotateY(Geometry.DegreeToRadian(-5.00F));

            node = nodes["W_Spine_Dummy"];
            node.Scale1(0.88F, 0.80F, 0.88F);
            node.RotateX(Geometry.DegreeToRadian(1.00F));
            node.Move(0.00F, 0.00F, -0.24F);

            node = nodes["W_Spine1"];
            node.Scale1(0.80F, 1.00F, 0.80F);

            node = nodes["W_Spine2"];
            node.Scale1(0.80F, 1.00F, 0.80F);

            node = nodes["W_Spine3"];
            node.Scale1(0.80F, 1.00F, 0.80F);

            node = nodes["W_RightShoulder_Dummy"];
            node.Scale1(0.80F, 0.88F, 0.88F);

            node = nodes["W_RightShoulder"];
            node.Scale1(0.80F, 0.88F, 0.88F);

            node = nodes["W_RightArm_Dummy"];
            node.Scale(1.00F, 0.88F, 0.88F);

            node = nodes["W_RightArm"];
            node.Scale1(1.24F, 1.04F, 1.04F);

            node = nodes["W_RightArmRoll"];
            node.Scale1(1.24F, 1.00F, 1.00F);

            node = nodes["W_RightForeArm"];
            node.Scale1(1.24F, 0.92F, 0.92F);

            node = nodes["W_RightForeArmRoll"];
            node.Scale1(1.24F, 0.84F, 0.84F);

            node = nodes["W_RightHand"];
            node.Scale(0.68F, 0.92F, 0.92F);

            node = nodes["W_RightHandPinky1"];
            node.Scale(1.00F, 1.08F, 1.08F);

            node = nodes["W_RightHandRing1"];
            node.Scale(1.00F, 1.08F, 1.08F);

            node = nodes["W_RightHandMiddle1"];
            node.Scale(1.00F, 1.08F, 1.08F);

            node = nodes["W_RightHandIndex1"];
            node.Scale(1.00F, 1.08F, 1.08F);

            node = nodes["W_LeftShoulder_Dummy"];
            node.Scale1(0.80F, 0.88F, 0.88F);

            node = nodes["W_LeftShoulder"];
            node.Scale1(0.80F, 0.88F, 0.88F);

            node = nodes["W_LeftArm_Dummy"];
            node.Scale(1.00F, 0.86F, 0.86F);

            node = nodes["W_LeftArm"];
            node.Scale1(1.24F, 1.04F, 1.04F);

            node = nodes["W_LeftArmRoll"];
            node.Scale1(1.24F, 1.00F, 1.00F);

            node = nodes["W_LeftForeArm"];
            node.Scale1(1.24F, 0.92F, 0.92F);

            node = nodes["W_LeftForeArmRoll"];
            node.Scale1(1.24F, 0.84F, 0.84F);

            node = nodes["W_LeftHand"];
            node.Scale(0.68F, 0.92F, 0.92F);

            node = nodes["W_LeftHandPinky1"];
            node.Scale(1.00F, 1.08F, 1.08F);

            node = nodes["W_LeftHandRing1"];
            node.Scale(1.00F, 1.08F, 1.08F);

            node = nodes["W_LeftHandMiddle1"];
            node.Scale(1.00F, 1.08F, 1.08F);

            node = nodes["W_LeftHandIndex1"];
            node.Scale(1.00F, 1.08F, 1.08F);

            node = nodes["W_Neck"];
            node.Scale1(1.00F, 0.80F, 1.00F);
            node.RotateX(Geometry.DegreeToRadian(-5.00F));

            node = nodes["Head"];
            node.Scale(0.92F, 0.92F, 0.92F);

            node = nodes["mayu_1_R"];
            node.Move(0.00F, -0.08F, 0.00F);

            node = nodes["mayu_1_L"];
            node.Move(0.00F, -0.08F, 0.00F);

            node = nodes["Kami_Oya"];
            node.Scale(0.97F, 0.97F, 0.97F);

            node = nodes["Chichi_Right1"];
            node.Scale(0.96F, 0.92F, 0.76F);
            node.RotateX(Geometry.DegreeToRadian(-7.00F));
            node.Move(0.00F, 0.00F, 0.28F);

            node = nodes["Chichi_Right2"];
            node.Scale(1.00F, 0.96F, 0.80F);
            node.RotateX(Geometry.DegreeToRadian(-1.00F));

            node = nodes["Chichi_Right3"];
            node.Scale(1.00F, 1.00F, 0.96F);
            node.Move(0.00F, 0.04F, 0.00F);

            node = nodes["Chichi_Left1"];
            node.Scale(0.96F, 0.92F, 0.76F);
            node.RotateX(Geometry.DegreeToRadian(-7.00F));
            node.Move(0.00F, 0.00F, 0.28F);

            node = nodes["Chichi_Left2"];
            node.Scale(1.00F, 0.96F, 0.80F);
            node.RotateX(Geometry.DegreeToRadian(-1.00F));

            node = nodes["Chichi_Left3"];
            node.Scale(1.00F, 1.00F, 0.96F);
            node.Move(0.00F, 0.04F, 0.00F);
        }
    }
}
